/*
*   Copyright 2010 Friedrich Pülz <fpuelz@gmx.de>
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU Library General Public License as
*   published by the Free Software Foundation; either version 2 or
*   (at your option) any later version.
*
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details
*
*   You should have received a copy of the GNU Library General Public
*   License along with this program; if not, write to the
*   Free Software Foundation, Inc.,
*   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#ifndef CATEGORYCOMBOBOX_HEADER
#define CATEGORYCOMBOBOX_HEADER

/** @file
* @brief Contains a KComboBox with adjustments to show a KCategorizedView in it.
*
* @author Friedrich Pülz <fpuelz@gmx.de> */

#include "publictransporthelper_export.h"

// KDE includes
#include <KComboBox> // Base class

/**
 * @brief a KComboBox with adjustments to show a KCategorizedView in it.
 **/
class PUBLICTRANSPORTHELPER_EXPORT CategoryComboBox : public KComboBox {
public:
    CategoryComboBox( QWidget* parent = 0 ) : KComboBox( parent ) {};

    virtual void showPopup();
};

#endif // Multiple inclusion guard
